Environment Provisioning - Provision New Environment

Provisions a new environment.

POST https://api.powerplatform.com/environmentmanagement/provisioning/create?api-version=2024-10-01

URI Parameters

Name In Required Type Description
api-version
query True

string

The API version.

Request Body

Media Types: "application/json", "text/json", "application/*+json"

Name Required Type Description
displayName True

string

minLength: 1

The display name of the environment.

environmentSku True

EnvironmentSku

The environment SKU.

billingPolicy

CreateEnvironmentRequestBillingPolicy

Billing policy for the environment.

cluster

CreateEnvironmentRequestCluster

Cluster configuration.

connectedGroupIdForTeamsEnvironment

string

Microsoft 365 Group ID to be linked to the Teams environment during provisioning. This property is not applicable for non-Teams environments.

databaseType

string

The type of database to create (e.g., CommonDataService).

description

string

An optional description for the environment.

finOpsMetadata

CreateEnvironmentRequestFinOpsMetadata

FinOps metadata for environment provisioning.

governanceConfiguration

CreateEnvironmentRequestGovernance

Governance configuration.

linkedEnvironmentMetadata

CreateEnvironmentRequestLinkedMetadata

Metadata for the linked Dataverse environment.

location

string

The location where the environment will be provisioned.

parentEnvironmentGroup

CreateEnvironmentRequestParentGroup

Parent environment group.

usedBy

UserIdentity

Represents the identity of a user.

Responses

Name Type Description
201 Created

OperationExecutionResult

Created

Media Types: "text/plain", "application/json", "text/json"

202 Accepted

Accepted

Media Types: "text/plain", "application/json", "text/json"

400 Bad Request

ValidationResponse

Bad Request

Media Types: "text/plain", "application/json", "text/json"

Security

oauth2

Microsoft Entra ID OAuth2

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com

Scopes

Name Description
.default .default

Definitions

Name Description
CreateEnvironmentRequest

Request model for provisioning a new environment.

CreateEnvironmentRequestBillingPolicy

Billing policy for the environment.

CreateEnvironmentRequestCluster

Cluster configuration.

CreateEnvironmentRequestCurrency

Currency settings for environment provisioning.

CreateEnvironmentRequestFinOpsMetadata

FinOps metadata for environment provisioning.

CreateEnvironmentRequestGovernance

Governance configuration.

CreateEnvironmentRequestLinkedMetadata

Metadata for the linked Dataverse environment.

CreateEnvironmentRequestParentGroup

Parent environment group.

Environment

Power platform Environment

EnvironmentSku

The environment SKU.

ErrorEntry

Represents the error detail for a single entry in an error dictionary.

ErrorInfo

Represents error information for an operation.

OperationExecutionResult

Represents the result of an operation execution.

OperationStatus

The status of operation.

ProtectionLevel

The environment governance protection level.

StageStatus

The stage status of an operation.

StepExecutionStatus

The execution status of a step within a stage.

UserIdentity

Represents the identity of a user.

ValidationResponse

Represents the response for validation of an operation.

CreateEnvironmentRequest

Request model for provisioning a new environment.

Name Type Description
billingPolicy

CreateEnvironmentRequestBillingPolicy

Billing policy for the environment.

cluster

CreateEnvironmentRequestCluster

Cluster configuration.

connectedGroupIdForTeamsEnvironment

string

Microsoft 365 Group ID to be linked to the Teams environment during provisioning. This property is not applicable for non-Teams environments.

databaseType

string

The type of database to create (e.g., CommonDataService).

description

string

An optional description for the environment.

displayName

string

minLength: 1

The display name of the environment.

environmentSku

EnvironmentSku

The environment SKU.

finOpsMetadata

CreateEnvironmentRequestFinOpsMetadata

FinOps metadata for environment provisioning.

governanceConfiguration

CreateEnvironmentRequestGovernance

Governance configuration.

linkedEnvironmentMetadata

CreateEnvironmentRequestLinkedMetadata

Metadata for the linked Dataverse environment.

location

string

The location where the environment will be provisioned.

parentEnvironmentGroup

CreateEnvironmentRequestParentGroup

Parent environment group.

usedBy

UserIdentity

Represents the identity of a user.

CreateEnvironmentRequestBillingPolicy

Billing policy for the environment.

Name Type Description
id

string

The billing policy ID.

CreateEnvironmentRequestCluster

Cluster configuration.

Name Type Description
category

string

The cluster category (e.g., FirstRelease).

CreateEnvironmentRequestCurrency

Currency settings for environment provisioning.

Name Type Description
code

string

The currency code (e.g., USD).

name

string

The currency name.

precision

integer (int32)

The currency precision.

symbol

string

The currency symbol.

CreateEnvironmentRequestFinOpsMetadata

FinOps metadata for environment provisioning.

Name Type Description
id

string

The FinOps environment ID.

type

string

The FinOps environment link type.

url

string

The FinOps environment URL.

CreateEnvironmentRequestGovernance

Governance configuration.

Name Type Description
protectionLevel

ProtectionLevel

The environment governance protection level.

CreateEnvironmentRequestLinkedMetadata

Metadata for the linked Dataverse environment.

Name Type Description
baseLanguage

integer (int32)

The base language code (e.g., 1033 for English).

currency

CreateEnvironmentRequestCurrency

Currency settings for environment provisioning.

domainName

string

The domain name.

securityGroupId

string

The security group ID.

templateMetadata

object

A JSON object payload customized for the selected templates.

templates

string[]

The templates to apply.

CreateEnvironmentRequestParentGroup

Parent environment group.

Name Type Description
id

string

The environment group ID.

Environment

Power platform Environment

Name Type Description
dataverseOrganizationUrl

string

Dataverse organization Url of the environment.

displayName

string

Display name of the environment.

environmentId

string

The environment ID.

EnvironmentSku

The environment SKU.

Value Description
NotSpecified
Standard
Premium
Developer
Basic
Production
Sandbox
Trial
Default
Support
SubscriptionBasedTrial
Teams
Platform

ErrorEntry

Represents the error detail for a single entry in an error dictionary.

Name Type Description
errorMessages

string[]

The error messages describing what is wrong.

suggestedValue

string

A suggested or accepted value that would resolve the error.

ErrorInfo

Represents error information for an operation.

Name Type Description
code

string

The error Code.

fieldErrors

<string,  ErrorEntry>

The detailed error.

OperationExecutionResult

Represents the result of an operation execution.

Name Type Description
endTime

string (date-time)

The end time of the operation.

errorDetail

ErrorInfo

Represents error information for an operation.

name

string

The name of the operation.

operationId

string

The ID of the operation.

requestedBy

UserIdentity

Represents the identity of a user.

stageStatuses

StageStatus[]

The list of State statuses associated with the operation.

startTime

string (date-time)

The start time of the operation.

status

OperationStatus

The status of operation.

updatedEnvironment

Environment

Power platform Environment

OperationStatus

The status of operation.

Value Description
Queued
InProgress
Succeeded
ValidationFailed
Failed
NoOperation
ValidationPassed

ProtectionLevel

The environment governance protection level.

Value Description
NotSpecified
Basic
Standard

StageStatus

The stage status of an operation.

Name Type Description
endTime

string (date-time)

The end time of stage.

errorDetail

ErrorInfo

Represents error information for an operation.

name

string

The name of stage.

startTime

string (date-time)

The start time of stage.

status

StepExecutionStatus

The execution status of a step within a stage.

StepExecutionStatus

The execution status of a step within a stage.

Value Description
Succeeded
Failed
Skipped
Postponed
InProgress
NotStarted

UserIdentity

Represents the identity of a user.

Name Type Description
displayName

string

The display name of the user.

tenantId

string

The tenant ID of the user.

type

string

The type of the user identity (e.g., User).

userId

string

The ID of the user.

ValidationResponse

Represents the response for validation of an operation.

Name Type Description
errorDetail

ErrorInfo

Represents error information for an operation.